Graphical Modeler: does not save parameter value when editing a model
Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 19156

Description

I have a model which uses the Fixed Distance Buffer, I have tried to edit the value to another one after saved and it keeps resetting to 10.0

not even the last used value, this happens randomly I edit 20 times and 19 gives me 10.0 while 1 gets me the value I want.

I can suspect this behaviour may be present in other algorithms while using them in graphical modeler, seems like if processing is

overriding with defaults the values but I can't say for sure.

History

#1 - 2014-07-02 01:59 AM - Giovanni Manghi

- Project changed from 78 to QGIS Application

- Affected QGIS version set to 2.4.0

- Crashes QGIS or corrupts data set to No

#2 - 2014-07-02 01:59 AM - Giovanni Manghi

- Category set to 94

#3 - 2014-07-02 02:02 AM - Giovanni Manghi

- Subject changed from Graphical Modeler to Graphical Modeler: does not save parameter value when editing a model

- Status changed from Open to Feedback

The modeller have been already overhauled in qgis master (after 2.4 was released), it may be worth to re-test there before further investigating. One

drawback: the models made in qgis up to 2.4 will not be compatible with the new overhauled modeller that will ship in 2.6

PS

please use more meaningful subjects

#4 - 2014-07-02 08:53 AM - Antonio Locandro

I will try it, the model I have is small so it should be easy to remake.

PS, I will try on the subjects but it gets difficult to try to condense it

#5 - 2014-10-11 08:00 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to worksforme
closing for lack of feedback, please reopen if necessary.

#6 - 2015-06-07 04:31 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
